## pspresent 1.0

=== Makefile ===
#
# pspresent: PostScript presentation tool
# Copyright (C) Matthew Chapman 2001-2002
#

# You may need to change these paths
X11_CFLAGS=-I/usr/X11R6/include
X11_LDLIBS=-L/usr/X11R6/lib -lX11

# Remove the following two lines to disable XINERAMA support
XINERAMA_CFLAGS=-DHAVE_LIBXINERAMA
XINERAMA_LDLIBS=-lXext -lXinerama

CC = gcc
CFLAGS = -Wall -O2 $(X11_CFLAGS) $(XINERAMA_CFLAGS)
LDLIBS = $(X11_LDLIBS) $(XINERAMA_LDLIBS)

TARGET = pspresent
OBJS = pspresent.o gs.o ps.o

$(TARGET): $(OBJS)
	$(CC) -o $(TARGET) $(OBJS) $(LDLIBS)

clean:
	rm $(TARGET) $(OBJS)

.SUFFIXES:
.SUFFIXES: .c .o

.c.o:
	$(CC) $(CFLAGS) -o $@ -c $<

## pspresent 1.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # pspresent: PostScript presentation tool
-# Copyright (C) Matthew Chapman 2001-2002
+# Copyright (C) Matthew Chapman 2001-2003
 #
 
 # You may need to change these paths

=== debian/changelog ===
pspresent (1.3-5) unstable; urgency=medium

  * Update debhelper compat to 11, and Standards-Version to 4.4.0.
  * Simplify debian/rules by using standard debhelper form.
  * Plumb compiler and build hardening flags into the Makefile.
    (Closes: #929137)
  * Set source format to 3.0 (quilt) and single-debian-patch.
  * Add misc:Depends to control file to placate lintian.
  * Remove obsolete Suggests line. (Closes: 872658, 940900)
  * Remove obsolete debian/watch as upstream no longer present.
  * Update VCS tags in control.
  * Set Rules-Requires-Root.
  * Update debian/watch to new upstream URL.
  * Add Homepage field to control.
  * Change debian/copyright to dep5 form.

 -- Jamie Wilkinson <jaq@debian.org>  Fri, 06 Dec 2019 13:29:55 +1100

pspresent (1.3-4) unstable; urgency=low

  * Bug fix: "obsolete build-dep on x-dev", thanks to
    jcristau@debian.org.  (Closes: #515501)
  * Bug fix: "depends on obsolete gs package", thanks to Julien BLACHE.
    (Closes: #532066)
  * Update debhelper compat to 7.
   - Update build dependency to 7.
   - Replace dh_clean -k with dh_prep.
  * Update standards-version to 3.8.3.
  * Fix copyright and path to GPLv2.
  * Remove libXext from the linked libraries as its symbols are unused.
  * Right injustices.  (Closes: #543441)

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 01 Nov 2009 18:01:40 +1100

pspresent (1.3-3) unstable; urgency=low

  * Updated watch file to format version 3.

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 11 Nov 2007 18:27:20 +1100

pspresent (1.3-2) unstable; urgency=low

  * Update standards version.
  * Make lintian clean.
  * Bug fix: "pspresent: [PATCH] Automatic (timed) slideshow mode", thanks
    to Julien BLACHE (Closes: #291982).
  * Bug fix: "pspresent -o: please define a meaningful class and/or
    resource", thanks to Vincent Lefevre (Closes: #303532).

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 11 Nov 2007 18:17:18 +1100

pspresent (1.3-1) unstable; urgency=low

  * New upstream release.  (Closes: #358084)
  * Acknowlegde NMU.  Thanks Steinar.  (Closes: #347020, 349179)
  * Bumped standards version to 3.6.2 (no other changes required).
  * Updated FSF address to appease lintian.

 -- Jamie Wilkinson <jaq@debian.org>  Tue,  4 Apr 2006 09:31:42 +1000

pspresent (1.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package. (Closes: #347020)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 21 Jan 2006 14:01:14 +0100

pspresent (1.2-1) unstable; urgency=low

  * New upstream release.  (Closes: #290436)

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 24 Apr 2005 01:17:32 +1000

pspresent (1.1-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version.  No package changes.

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 26 Jul 2004 22:48:14 +1000

pspresent (1.0-2) unstable; urgency=low

  * Fix duplicated manpage, thanks Ian (Closes: #204404)
  * Updated to Standards Version 3.6.1.0.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 27 Aug 2003 10:04:04 +1000

pspresent (1.0-1) unstable; urgency=low

  * New upstream release
    - command line options to control orientation (Closes: #182508)
    - ability to jump to a given slide (Closes: #182844)
    - no longer pastes clipboard text when exiting with middle mouse
      button (Closes: #182842)
  * Manual page now included in upstream.

 -- Jamie Wilkinson <jaq@debian.org>  Thu,  3 Jul 2003 19:03:24 +1000

pspresent (0.9-1) unstable; urgency=low

  * Initial Release.  (Closes: #181049)
  * Wrote manual page.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 15 Feb 2003 11:34:29 +1100

=== debian/control ===
Source: pspresent
Section: x11
Priority: optional
Maintainer: Jamie Wilkinson <jaq@debian.org>
Build-Depends: debhelper (>= 11),
 dpkg-dev (>= 1.16.1.1~),
 x11proto-core-dev,
 libxinerama-dev
Standards-Version: 4.4.0
VCS-Browser: https://salsa.debian.org/debian/pspresent/tree/debian
VCS-Git: https://salsa.debian.org/debian/pspresent.git -b debian
Homepage: http://zmatt.net/pspresent
Rules-Requires-Root: no

Package: pspresent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ghostscript-x
Description: fullscreen PostScript presentation tool
 pspresent is a tool that displays PostScript slides in fullscreen, for
 giving presentations.  Navigation is simple: spacebar goes forward one
 slide, backspace takes you back one slide.  The escape key quits.  The
 display itself is double-buffered giving seamless transitions between
 slides.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS) $(CPPFLAGS) -I/usr/X11R6/include -DHAVE_XINERAMA"  LDFLAGS="$(LDFLAGS) "

=== debian/watch ===
version=4
http://www.zmatt.net/pspresent/pspresent-([\d\.]+)\.tar\.gz
